require 'minitest_helper'

describe Stele::Resource do

  describe ".build" do
    it "returns a Hash" do
      props = {
        attributes: {
          'title' => {
            'type' => 'string',
            'readonly' => false,
            'sortable' => true,
            'filterable' => false,
            'required' => true
          }
        },
        operations: [ 'read', 'create', 'update', 'delete' ]
      }
      resource = Stele::Resource.build(props)

      assert_instance_of(Hash, resource, 'Stele::Resource.build returns a Hash')
    end
  end
end
