# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'stele/version'

Gem::Specification.new do |spec|
  spec.name          = "stele"
  spec.version       = Stele::VERSION
  spec.authors       = ["Alexander Harris"]
  spec.email         = ["harris.alexk@gmail.com"]
  spec.summary       = %q{Write APIs using schemas which can be turned into JSON documents}
  spec.description   = %q{This gem defines a schema-generation syntax which outputs JSON. The JSON document is then used to define how the API behaves, documentation, etc.}
  spec.homepage      = "https://github.com/akharris/stele"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "minitest"
  spec.add_development_dependency "pry", "~> 0.10"
end
